Skip to main content
GET
/
organizations
/
{id}
/
invitations
Get organization invitations
curl --request GET \
  --url https://api.wacht.dev/organizations/{id}/invitations \
  --cookie session_id=
{
  "status": 200,
  "message": "",
  "data": [
    {
      "id": "666666666666666666",
      "organization_id": "123456789012345678",
      "email": "newuser@example.com",
      "token": "inv_token_abc123",
      "status": "pending",
      "expires_at": "2024-01-22T10:30:00Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "initial_organization_role": {
        "id": "444444444444444444",
        "organization_id": "123456789012345678",
        "name": "Admin",
        "permissions": [
          "organization:admin",
          "organization:manage_members"
        ],
        "is_system_role": false,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "initial_workspace_role": {
        "id": "<string>",
        "name": "<string>",
        "permissions": [
          "<string>"
        ]
      },
      "workspace": {
        "id": "555555555555555555",
        "name": "Main Workspace"
      },
      "inviter": {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "jsmith@example.com"
      },
      "inviter_roles": [
        {
          "id": "444444444444444444",
          "organization_id": "123456789012345678",
          "name": "Admin",
          "permissions": [
            "organization:admin",
            "organization:manage_members"
          ],
          "is_system_role": false,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Session-based authentication using cookies

Path Parameters

id
string<uint64>
required

Organization ID

Response

Invitations retrieved successfully

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object[]
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)